Update organisation details
curl --request PUT \
--url https://{tenant}/admin/organisations/{orgID} \
--header 'Admin-Auth: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"apis": [
{
"api_human_name": "First API #Test",
"api_id": "5508bd9429434d5768c423a04db259ea"
}
],
"cname": "jive.ly",
"cname_enabled": true,
"developer_count": 0,
"developer_quota": 0,
"event_options": {},
"hybrid_enabled": false,
"id": "5cc03283d07e7f00019404b3",
"org_options_meta": {},
"owner_name": "Jively",
"owner_slug": "testorg",
"ui": {
"cloud": false,
"default_lang": "",
"designer": {},
"dont_allow_license_management": false,
"dont_allow_license_management_view": false,
"dont_show_admin_sockets": false,
"hide_help": false,
"languages": {},
"login_page": {},
"nav": {},
"portal_section": {},
"uptime": {}
}
}
'import requests
url = "https://{tenant}/admin/organisations/{orgID}"
payload = {
"apis": [
{
"api_human_name": "First API #Test",
"api_id": "5508bd9429434d5768c423a04db259ea"
}
],
"cname": "jive.ly",
"cname_enabled": True,
"developer_count": 0,
"developer_quota": 0,
"event_options": {},
"hybrid_enabled": False,
"id": "5cc03283d07e7f00019404b3",
"org_options_meta": {},
"owner_name": "Jively",
"owner_slug": "testorg",
"ui": {
"cloud": False,
"default_lang": "",
"designer": {},
"dont_allow_license_management": False,
"dont_allow_license_management_view": False,
"dont_show_admin_sockets": False,
"hide_help": False,
"languages": {},
"login_page": {},
"nav": {},
"portal_section": {},
"uptime": {}
}
}
headers = {
"Admin-Auth": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Admin-Auth': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
apis: [
{api_human_name: 'First API #Test', api_id: '5508bd9429434d5768c423a04db259ea'}
],
cname: 'jive.ly',
cname_enabled: true,
developer_count: 0,
developer_quota: 0,
event_options: {},
hybrid_enabled: false,
id: '5cc03283d07e7f00019404b3',
org_options_meta: {},
owner_name: 'Jively',
owner_slug: 'testorg',
ui: {
cloud: false,
default_lang: '',
designer: {},
dont_allow_license_management: false,
dont_allow_license_management_view: false,
dont_show_admin_sockets: false,
hide_help: false,
languages: {},
login_page: {},
nav: {},
portal_section: {},
uptime: {}
}
})
};
fetch('https://{tenant}/admin/organisations/{orgID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "Org updated",
"Meta": null,
"Status": "OK"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to update Org object to DB",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to read request body, body empty",
"Meta": null,
"Status": "Error"
}Organisations
Update organisation details
Update Organisation details. This operation will replace the existing Organisation details with those provided in the request payload. It is important to provide the entire object - for example linked APIs - to avoid overwriting existing data with empty values.
PUT
/
admin
/
organisations
/
{orgID}
Update organisation details
Authorizations
Api key
Path Parameters
Organisation ID of the org to add, update, or delete.
Body
application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I